If you already have a full-fledged business with a number of physical items,
you would have probably coded your items. If you have not, you have a choice.
We recommend that you should codify if you have lot of products with long or
complicated names. In case you have few products with short names, it is
preferable to keep the Item Code same as Item Name.

Item codification has been a sensitive topic and wars have been fought on this
(not joking). In our experience, when you have items that cross a certain
size, life without codification is a nightmare.

### Benefits

  * Standard way of naming things.
  * Less likely to have duplicates.
  * Explicit definition.
  * Helps to quickly find if a similar item exists.
  * Item names get longer and longer as more types get introduced. Codes are shorter.

### Pain

  * You have to remember the codes!
  * Harder for new team members to pick up.
  * You have to create new codes all the time.

### Example

You should have a simple manual / cheat-sheet to codify your Items instead of
just numbering them sequentially. Each letter should mean something. Here is
an example:

If your business involves wooden furniture, then you may codify as follows:

Item Codification Summary Sheet (SAMPLE)

    
    
    First letter: "Material"            Third letter: "Size"
    
    - W - Wood                          - 0 - less than 1mm
    - H - Hardware                      - 1 - 1mm - 5mm
    - G - Glass                         - 2 - 5mm - 10mm
    - U - Upholstery                    - 3 - 10mm - 10cm
    - P - Plastic
    
    Second Letter: "Type"
    
    For Wood:                           For Hardware:
    
    - S - Sheet                         - S - Screw
    - B - Bar                           - N - Nut
    - L - L-section                     - W - Washer
    - M - Molded                        - B - Bracket
    - R - Round
    

The last few letters could be sequential. So by looking at code **WM304** \-
you know its a wooden molding less than 10cm in size

### Standardization

If you have more than one person naming items, the style of naming items will
change for everyone. Sometimes, even for one person, he or she may forget how
they had named the item and may create a duplicate name _"Wooden Sheet 3mm" or
"3mm Sheet of Wood"?_

### Rationalizing

It is a good practice to have minimum varieties of items so that you keep
minimum stock, housekeeping is simpler etc. When you are planning a new
product and you want to know if you are already purchasing a part in some
other product, the item codes will help you quickly determine if you are using
a similar raw material in another product.

We believe if you do this small investment, it will help you rationalize
things as your business grows, though its okay not to codify if you have less
items.

{next}